<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/wingcool_backgroup">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:layout_editor_absoluteX="0dp"
        tools:layout_editor_absoluteY="0dp">


        <GridLayout
            xmlns:android="http://schemas.android.com/apk/res/android"
            xmlns:tools="http://schemas.android.com/tools"
            android:id="@+id/AllGridLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="8dp"
            android:layout_marginBottom="8dp"
            android:columnCount="6"
            android:orientation="horizontal"
            android:rowCount="13">

            <EditText
                android:id="@+id/datashow"
                android:layout_width="wrap_content"
                android:layout_height="200dp"
                android:layout_rowSpan="4"
                android:layout_columnSpan="6"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:singleLine="false"
                android:text=""
                android:textColor="@color/colorPrimary"
                android:textSize="22dp" />

            <TextView
                android:layout_row="5"
                android:layout_column="0"
                android:layout_columnSpan="6"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:text="" />

            <TextView
                android:layout_row="6"
                android:layout_column="0"
                android:layout_marginRight="1dp"
                android:text="@string/regaddr"
                android:layout_gravity="center"
                android:textAlignment="center"
                android:textSize="15dp" />

            <EditText
                android:id="@+id/addressinput"
                android:layout_width="100dp"
                android:layout_row="6"
                android:layout_column="1"
                android:layout_columnSpan="2"
                android:layout_gravity="center"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint=" 8040 "
                android:textAlignment="center"
                android:textSize="20dp" />

            <CheckBox
                android:id="@+id/dualbytes"
                android:layout_row="6"
                android:layout_column="3"
                android:layout_columnSpan="2"
                android:layout_gravity="center"
                android:text="@string/dualbytes"
                android:textSize="15dp" />

            <TextView
                android:layout_row="7"
                android:layout_column="0"
                android:layout_marginRight="1dp"
                android:layout_gravity="center"
                android:text="@string/length"
                android:textAlignment="center"
                android:textSize="15dp" />

            <EditText
                android:id="@+id/lengthinput"
                android:layout_width="100dp"
                android:layout_row="7"
                android:layout_column="1"
                android:layout_columnSpan="2"
                android:layout_gravity="center"
                android:background="@drawable/bg_frame_search"
                android:digits="@string/input_num_character"
                android:hint="   00   "
                android:textAlignment="center"
                android:textSize="20dp" />

            <CheckBox
                android:id="@+id/sequentialread"
                android:layout_row="7"
                android:layout_column="3"
                android:layout_columnSpan="2"
                android:layout_gravity="center"
                android:text="@string/loopread"
                android:textSize="15dp" />

            <Button
                android:id="@+id/readdata"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_row="6"
                android:layout_rowSpan="2"
                android:layout_column="5"
                android:layout_gravity="center"
                android:text="@string/readdata"
                android:textAllCaps="false"
                android:textSize="20dp" />

            <TextView
                android:layout_height="wrap_content"
                android:layout_row="8"
                android:layout_column="0"
                android:layout_columnSpan="6"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:text="" />

            <TextView
                android:layout_height="wrap_content"
                android:layout_row="9"
                android:layout_column="0"
                android:layout_columnSpan="6"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:text="@string/senddata" />

            <EditText
                android:id="@+id/datawrite"
                android:layout_width="wrap_content"
                android:layout_height="100dp"
                android:layout_row="10"
                android:layout_rowSpan="3"
                android:layout_column="0"
                android:layout_columnSpan="5"
                android:layout_gravity="fill"
                android:background="@drawable/bg_frame_search"
                android:singleLine="false"
                android:textColor="@color/colorPrimary"
                android:textSize="22dp" />

            <TextView
                android:layout_height="wrap_content"
                android:layout_row="10"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:text="" />

            <TextView
                android:layout_height="wrap_content"
                android:layout_row="11"
                android:layout_column="5"
                android:layout_gravity="fill"
                android:layout_marginRight="1dp"
                android:text="" />

            <Button
                android:id="@+id/writedata"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_row="12"
                android:layout_column="5"
                android:layout_gravity="center"
                android:text="@string/writedata"
                android:textAllCaps="false"
                android:textSize="20dp" />

        </GridLayout>

    </ScrollView>
</android.support.constraint.ConstraintLayout>